name: muthsevnews/news-teaser
typeName: news_teaser
title: 'News-Teaser'
description: 'Hiermit kann auf eine News verlinkt werden.'
group: teasers
prefixFields: false
security:
  ignoreWebMountRestriction: true
  ignoreRootLevelRestriction: true
  ignorePageTypeRestriction: true
internalDescription: false
basics:
  - TYPO3/Appearance
  - TYPO3/Links

fields:
  - identifier: header_link
    label: News
    type: Link
    allowedTypes:
      - newsRecordLink
    required: true

  - identifier: teaser_content_palette
    type: Palette
    label: 'Manuelle Einstellungen'

    fields:
      - identifier: header
        useExistingField: true
        label: Newstitel / Überschrift (überschreibt Zielseite)

      -
        type: Linebreak
      -
        type: Linebreak

      - identifier: assets
        label: 'Teaser-Bild (überschreibt Artikelbild)'
        type: File
        extendedPalette: false
        useExistingField: true
        maxitems: 1
        allowed: 'jpg,png,jpeg,webp'
